gnokii(1)

NAME
gnokii - modem/fax driver for Nokia mobile phones

SYNOPSIS
gnokii OPTION [ARGUMENT]...

DESCRIPTION

gnokii is a Linux/Unix tool suite and (eventually) modem/fax driver for Nokia mobile phones, released under the GPL.

gnokii supports most phones from the 3810/8110 and 5110/6110 series, details including bugs specific to each series appear in the files Docs/README-3810 and Docs/README-6110 respectively.

OPTIONS
The options that are recognized by gnokii can be divided into several different groups.

  GENERAL

--help
    display usage information.

--version
    displays version and copyright information.

--monitor
    continually updates phone status to stderr.

  DIALING

--getspeeddial n
    reads speed dial from the specified location.

--setspeeddial number memory_type location
    specify speed dial.

--dialvoice number
    initiate voice call.

--senddtmf string
    send DTMF sequence.

  PHONE SETTINGS

--getdisplaystatus
    shows what icons are displayed.

--displayoutput
    show texts displayed in phone's screen.

--getprofile [number]
    show settings for selected(all) profile(s).

--netmonitor {reset|off|field|devel|next|nr}
    setting/querying netmonitor mode.

--reset [soft|hard]
    resets the phone.

  CALENDAR

--getcalendarnote start [send] [-v]
    get the note with numbers from start to end from calendar.

[-v] - output in vCalendar 1.0 format

--writecalendarnote
    write the note to calendar.

--deletecalendarnote start [end]
    delete the note with numbers from start to end from calendar.

  SMS

--getsms memory_type start [end] [-f file] [-d]
    gets SMS messages from specified memory type starting at entry [start] and ending at [end]. If [end] is not specified only one location - [start] is read. If [-f file] is used entries are saved in file. Otherwise they are dumped to stdout. If [-d] switch is used, a message is deleted after reading.

--deletesms memory_type start [end]
    deletes SMS messages from specified memory type starting at entry [start] and ending at [end]. If [end] is not specified only one location - [start] is read.

--sendsms destination [--smsc message_center_number | --smscno message_center_index] [-r] [-C n] [-v n] [--long n]
    sends an SMS message to destination via message_center_number or SMSC number taken from phone memory from address message_center_index. If this argument is ommited SMSC number is taken from phone memory from location 1. Message text is taken from STDIN. This function has had limited testing and may not work at all on your network. Meaning of other optional parameters:

[-r] - request for delivery report

[-C n] - Class Message n, where n can be 0..3

[-v n] - validity in minutes

[--long n] - send no more then n characters, default is 160

--savesms [-m] [-l n] [-i]
    saves SMS messages to the Outbox. Messages are read from STDIN. You can specify the following optional arguments:

[-m] - mark the message as sent [-l n] - save the message at location n on the SIM card [-i] - ask before overwriting specified location

--getsmsc number
    show the SMSC number from location number.

  LOGOS

--sendlogo {caller|op} destination logofile [network_code]
    send the logofile to destination as operator or CLI logo.

--setlogo logofile [network_code]

--setlogo logofile [caller_group_number] [group_name]

--setlogo text [startup_text]

--setlogo dealer [dealer_startup_text]
    set caller, startup or operator logo.

--getlogo logofile {caller|op|startup} [caller_group_number]
    get caller, startup or operator logo.

  RINGTONES

--sendringtone destination rtttlfile
    send the rtttlfile to destination as ringtone.

--setringtone rtttlfile
    set the rtttlfile as ringtone (on 6110).

  PHONEBOOK

--getmemory memory_type start [end]
    reads specificed memory location from phone. If [end] is not specified only one location - [start] is read. Valid memory types are: ME, SM, FD, ON, EN, DC, RC, MC, LD.

--writephonebook [-i]
    reads data from stdin and writes to phonebook When -i option is used, refuses to overwrite existing entries. Uses the same format as provided by the output of the getphonebook command.

  DATE, TIME AND ALARM

--setdatetime [YYY [MM [DD [HH [MM]]]]]
    set the date and the time of the phone.

--getdatetime
    shows current date and time in the phone.

--setalarm HH MM
    set the alarm of the phone.

--getalarm
    shows current alarm.

  SECURITY

--identify
    get IMEI, model and revision.

--entersecuritycode {PIN|PIN2|PUK|PUK2}
    asks for the code and sends it to the phone.

--getsecuritycodestatus
    show if a security code is needed.

DIAGNOSTICS
Various error messages are printed to standard error. The exit code is 0 for correct functioning. Errors which appear to be caused by invalid or abused command line parameters cause an exit code of 2, and other errors cause an exit code of 1.

BUGS

We write quality software here ;)

AUTHOR
Hugh Blemings <hugh@blemings.org> and Pavel Janik ml. <Pavel.Janik@suse.cz> Manual page written by Dag Wieers <dag@mind.be> and Pawel Kot <pkot@linuxnews.pl> See also Docs/CREDITS from Gnokii sources.

COPYING
This program is distributed under the GNU Public License.

SEE ALSO
gnokiid, xgnokii